:root {
    --text-color: #444;
    --highlight-color: #007bff;
    --border: 1px solid #ccc;
    --shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

html,
body {
    color: var(--text-color);
    margin: 0;
    padding: 0;
    font-family: 'Roboto', Arial, sans-serif;
    font-weight: 100;
    background-color: #f0f0f0;
    -webkit-border-radius: 0;
    -moz-border-radius: 0;
    border-radius: 0;
    max-height: 100vh;
}

hr {
    border: 0;
    height: 1px;
    background: #ccc;
    margin: 10px 20px;
}

p {
    margin: 0.6em 0;
}

h1 {
    font-size: 32px;
}

h2 {
    font-size: 20px;
}

h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--text-color);
    font-weight: 300;
    margin: 0.2em 0;
}

a {
    color: var(--text-color);
    text-decoration: none;
    cursor: pointer;
}

a:hover {
    text-decoration: underline;
}

ul#navigation-list {
    list-style-type: none;
}

li {
    margin: 0.5em 0;
}

button {
    border: 1px solid #ccc;
    background-color: #ccc;
    color: #444;
    margin: 15px 5px;
    padding: 5px 15px;
    border-radius: 5px;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.5s;
}
button:hover {
    background-color: #ddd;
    transition: background-color 0.5s;
}

#banner-container {
    width: 100%;
}

.banner-first-row {
    background-color: #fff;
    border-bottom: var(--border);
    padding: 10px 30px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
    z-index: 1000;
    height: 60px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

.banner-second-row {
    font-family: 'Inter', sans-serif;
    background: linear-gradient(135deg, #139FFC, #0e74bc);
    color: white;
    font-size: 1.4rem;
    padding: 1rem 1rem;
    font-weight: 400;
}

.banner-second-row a {
    color: white;
}

#banner {
    display: flex;
    flex-direction: row;
    align-items: center;
    height: 100%;
}

#site-contents {
    display: flex;
    flex-direction: row;
}

#archive-search {
    width: calc(100% - 20px);
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    height: 16px;
    overflow-y: hidden;
    margin: 10px 0;
    resize: none;
    font-family: unset;
}

.flex-row {
    display: flex;
    flex-direction: row;
    align-items: center;
}

.flex-column {
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.title-text {
    font-size: 45px;
    font-weight: 300;
    margin-bottom: 25px;
}

.vertical-line {
    border-left: 1px solid #ccc;
    height: 100%;
    margin: 0 20px;
}

.banner-element:not(:first-child) {
    margin: auto 20px auto 20px;
}

#title {
    min-width: 300px;
}

.highlight {
    color: var(--highlight-color);
}

.header-text {
    font-size: 28px;
}

.subheader-text {
    font-size: 20px;
    font-weight: 600;
}

.float-right {
    float: right;
}

.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    position: absolute;
    background-color: #f9f9f9;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    padding: 12px 16px;
    z-index: 1;
    white-space: nowrap;
}

.show {
    display: block;
}

.hide {
    display: none;
}

.comment {
    color: #888;
    font-size: 12px;
    font-style: italic;
}

.project {
    padding: 5px 0;
}

.expandable {
    display: flex;
    flex-direction: column;
}

.expandable-title {
    display: flex;
    flex-direction: row;
    align-items: first baseline;
}

a.expandable {
    font-size: 16px;
    margin: 5px 10px;
}

button.expandable-button:focus {
    outline: none;
}

button.expandable-button {
    background-color: transparent;
    border: none;
    border-radius: 5px;
    color: #444;
    cursor: pointer;
    font-size: 16px;
    text-align: center;
    margin: 2px -2px 4px 0;
    transition: transform 0.1s ease-in-out;
}

button.expandable-button:hover {
    background-color: #f0f0f0;
    border: none;
    background-color: transparent;
}

.rotated {
    transform: rotate(0deg);
}

.unrotated {
    transform: rotate(-90deg);
}

#navigation-list {
    padding-top: 10px;
}

.expandable-content {
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    margin-left: 16px;
}

.collapsed {
    display: none;
}

.expanded {
    display: visible;
}

.left-panel {
    margin: 20px;
    min-width: 400px;
    max-width: 500px;
}

.panel {
    padding: 10px 20px 15px 20px;
    background-color: #fff;
    border: var(--border);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.07);
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.07);
    border-radius: 5px;
    justify-content: center;
    max-width: 1000px;
    overflow-x: hidden;
    margin-bottom: 10px;
}

.center-panel {
    margin: 10px auto;
    padding: 10px 20px 20px 20px;
    background-color: #fff;
    border: var(--border);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.07);
    -webkit-box-shadow: 0 0 10px rgba(0, 0, 0, 0.07);
    border-radius: 5px;
    justify-content: center;
    width: 60vw;
    max-width: calc(100% - 50px);
}

.contents-container {
    padding: 20px;
    display: flex;
    flex-direction: column;
    width: 100%;
}

table {
    border-collapse: collapse;
    width: 100%;
}

th,
td {
    border: var(--border);
    padding: 8px;
    text-align: left;
}

tr:nth-child(even) {
    background-color: #f2f2f2;
}

.redirect-container {
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100vh;
    text-align: center;
}

.redirect-notice {
    position: relative;
    transform: translateY(-20%);
}

.redirect-notice a {
    color: var(--highlight-color);
}